PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_node_info Struct Reference
Core API » Node

The node information. More...

`#include <pipewire/node.h>`

## Data Fields
uint32_t | id
| id of the global
uint32_t | max_input_ports
| maximum number of inputs
uint32_t | max_output_ports
| maximum number of outputs
uint64_t | change_mask
| bitfield of changed fields since last call
uint32_t | n_input_ports
| number of inputs
uint32_t | n_output_ports
| number of outputs
enum pw_node_state | state
| the current state of the node
const char * | error
| an error reason if state is error
struct spa_param_info * | params
| parameters
uint32_t | n_params
| number of items in params

## Detailed Description

The node information.

Extra information can be added in later versions

## Field Documentation

## ◆ id

uint32_t pw_node_info::id

id of the global

## ◆ max_input_ports

uint32_t pw_node_info::max_input_ports

maximum number of inputs

## ◆ max_output_ports

uint32_t pw_node_info::max_output_ports

maximum number of outputs

## ◆ change_mask

uint64_t pw_node_info::change_mask

bitfield of changed fields since last call

## ◆ n_input_ports

uint32_t pw_node_info::n_input_ports

number of inputs

## ◆ n_output_ports

uint32_t pw_node_info::n_output_ports

number of outputs

## ◆ state

enum pw_node_state pw_node_info::state

the current state of the node

## ◆ error

const char* pw_node_info::error

an error reason if state is error

## ◆ params

struct spa_param_info* pw_node_info::params

parameters

## ◆ n_params

uint32_t pw_node_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/node.h